diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index fb61217..6bed1ed 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -41586,8 +41586,8 @@ InfiniteProductPrimeField(Coef,UTS): Exports == Implementation where
  
     applyOverZ:(ST I -> ST I,ST Coef) -> ST Coef
     applyOverZ(f,st) ==
-      stZ := map(convert(#1)@Integer,st)$StreamFunctions2(Coef,I)
-      map(#1 :: Coef,f stZ)$StreamFunctions2(I,Coef)
+      stZ := map(z1 +-> convert(z1)@Integer,st)$StreamFunctions2(Coef,I)
+      map(z1 +-> z1 :: Coef,f stZ)$StreamFunctions2(I,Coef)
  
     infiniteProduct x ==
       series applyOverZ(infiniteProduct,coefficients x)
@@ -41596,7 +41596,9 @@ InfiniteProductPrimeField(Coef,UTS): Exports == Implementation where
     oddInfiniteProduct x ==
       series applyOverZ(oddInfiniteProduct,coefficients x)
     generalInfiniteProduct(x,a,d) ==
-      series applyOverZ(generalInfiniteProduct(#1,a,d),coefficients x)
+      series 
+       applyOverZ(
+        (z1:ST(I)):ST(I) +-> generalInfiniteProduct(z1,a,d),coefficients x)
 
 @
 <<INPRODPF.dotabb>>=
diff --git a/changelog b/changelog
index 8b67e93..22ff9f0 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090604 tpd src/axiom-website/patches.html 20090604.02.tpd.patch
+20090604 tpd books/bookvol10.4 INPRODPF +-> conversion
 20090604 tpd src/axiom-website/patches.html 20090604.01.tpd.patch
 20090604 tpd books/bookvol10.4 INCRMAPS +-> conversion
 20090603 tpd src/axiom-website/patches.html 20090603.05.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index d43e1e5..1c6cfd8 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1437,5 +1437,7 @@ bookvol10.4 HEUGCD +-> conversion<br/>
 bookvol10.4 IDECOMP +-> conversion<br/>
 <a href="patches/20090604.01.tpd.patch">20090604.01.tpd.patch</a>
 bookvol10.4 INCRMAPS +-> conversion<br/>
+<a href="patches/20090604.02.tpd.patch">20090604.02.tpd.patch</a>
+bookvol10.4 INPRODPF +-> conversion<br/>
  </body>
 </html>
